(* Interface for the constraint solver implementation. *)

open Constraint
open Types

(* Attempt to add new constraints to the current problem. *)
val addConstraints : dtyDec -> Vardata.t -> prob -> constr list
  -> (Vardata.t * prob) option

(* Is a given constraint a name constraint? *)
val isNameConstr : Vardata.t -> constr -> bool
